Index: src/sas/qtgui/Plotting/Plotter.py
===================================================================
--- src/sas/qtgui/Plotting/Plotter.py	(revision 0cd98a1bff2f5cc0a67f68ad681ae7a3c8379c75)
+++ src/sas/qtgui/Plotting/Plotter.py	(revision 5b144c6da3772c7f3a243d7540d60d506f7f931e)
@@ -561,5 +561,5 @@
 
         #Remove another Fit, if exists
-        self.removePlot("fit")
+        self.removePlot("Fit")
 
         self.fit_result.reset_view()
Index: src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py
===================================================================
--- src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py	(revision b8080e1affadb04559f0597dfddc5506d2044e9d)
+++ src/sas/qtgui/Plotting/UnitTesting/PlotterTest.py	(revision 5b144c6da3772c7f3a243d7540d60d506f7f931e)
@@ -57,10 +57,10 @@
         self.plotter.data = self.data
         self.plotter.show()
-        FigureCanvas.draw_idle = MagicMock()
+        FigureCanvas.draw = MagicMock()
 
         self.plotter.plot(hide_error=False)
 
         self.assertEqual(self.plotter.ax.get_xscale(), 'log')
-        self.assertTrue(FigureCanvas.draw_idle.called)
+        self.assertTrue(FigureCanvas.draw.called)
 
         self.plotter.figure.clf()
@@ -70,10 +70,10 @@
         self.plotter.data = self.data
         self.plotter.show()
-        FigureCanvas.draw_idle = MagicMock()
+        FigureCanvas.draw = MagicMock()
 
         self.plotter.plot(hide_error=True)
 
         self.assertEqual(self.plotter.ax.get_yscale(), 'log')
-        self.assertTrue(FigureCanvas.draw_idle.called)
+        self.assertTrue(FigureCanvas.draw.called)
         self.plotter.figure.clf()
 
@@ -91,5 +91,5 @@
         self.plotter.data = data
         self.plotter.show()
-        FigureCanvas.draw_idle = MagicMock()
+        FigureCanvas.draw = MagicMock()
 
         self.plotter.plot(hide_error=True)
@@ -97,5 +97,5 @@
         self.assertEqual(self.plotter.ax.get_xscale(), 'linear')
         self.assertEqual(self.plotter.ax.get_yscale(), 'linear')
-        self.assertTrue(FigureCanvas.draw_idle.called)
+        self.assertTrue(FigureCanvas.draw.called)
 
     def testCreateContextMenuQuick(self):
@@ -262,5 +262,5 @@
         # Just this one plot
         self.assertEqual(len(list(self.plotter.plot_dict.keys())), 1)
-        self.plotter.onLinearFit(1)
+        self.plotter.onLinearFit('Test name')
 
         # Check that exec_ got called
@@ -289,5 +289,5 @@
 
         # Delete one set
-        self.plotter.onRemovePlot(2)
+        self.plotter.onRemovePlot('Test name 2')
         # Assure we have two sets
         self.assertEqual(len(list(self.plotter.plot_dict.keys())), 1)
@@ -296,5 +296,5 @@
 
         # Delete the remaining set
-        self.plotter.onRemovePlot(1)
+        self.plotter.onRemovePlot('Test name')
         # Assure we have no plots
         self.assertEqual(len(list(self.plotter.plot_dict.keys())), 0)
@@ -331,5 +331,5 @@
         self.assertEqual(yl, "$YAXIS(cake)$")
         # The hide_error flag should also remain
-        self.assertTrue(self.plotter.plot_dict[2].hide_error)
+        self.assertTrue(self.plotter.plot_dict['Test name 2'].hide_error)
         self.plotter.figure.clf()
 
@@ -355,5 +355,5 @@
 
         # Reverse the toggle
-        self.plotter.onToggleHideError(2)
+        self.plotter.onToggleHideError('Test name 2')
         # See that the labels didn't change
         xl = self.plotter.ax.xaxis.label.get_text()
@@ -362,5 +362,5 @@
         self.assertEqual(yl, "$YAXIS(cake)$")
         # The hide_error flag should toggle
-        self.assertEqual(self.plotter.plot_dict[2].hide_error, not error_status)
+        self.assertEqual(self.plotter.plot_dict['Test name 2'].hide_error, not error_status)
         self.plotter.figure.clf()
 
@@ -417,5 +417,5 @@
         self.assertEqual(yl, "$YAXIS(cake)$")
         # The hide_error flag should be as set
-        self.assertEqual(self.plotter.plot_dict[2].hide_error, error_status)
+        self.assertEqual(self.plotter.plot_dict['Test name 2'].hide_error, error_status)
         self.plotter.figure.clf()
 
